module Strain
  class Jsonapi::VariantResource < JSONAPI::Resource
    model_name "::Strain::Variant"

    attribute :name
    attribute :schema

    relationship :articles, to: :many

    # https://github.com/cerebris/jsonapi-resources/issues/523
    def self.resource_type_for(model)
      'strain/jsonapi/variant'
    end

  end
end
