class CreateStrainVariants < ActiveRecord::Migration
  def change
    create_table :strain_variants, id: :uuid do |t|
      t.string :name, null: false
      t.jsonb :schema, null: false

      t.timestamps null: false
    end
    add_index :strain_variants, :name, :unique => true
  end
end
