require "strain/engine"

module Strain

  JSONAPI::Exceptions::ValidationErrors.module_eval do
    def json_api_error(attr_key, message)
      a = JSONAPI::Error.new(code: JSONAPI::VALIDATION_ERROR,
                         status: :unprocessable_entity,
                         title: message,
                         detail: "#{format_key(attr_key)} - #{message}",
                         source: { pointer: pointer(attr_key) })
      # binding.pry
      a
    end
  end

end
