module Strain
  class Jsonapi::ArticleResource < JSONAPI::Resource
    model_name "::Strain::Article"

    attribute :slug
    attribute :title
    attribute :variant_id
    # attribute :variant
    attribute :schema
    attribute :variant_name
    attribute :body

    relationship :variant, to: :one

    # https://github.com/cerebris/jsonapi-resources/issues/523
    def self.resource_type_for(model)
      'strain/jsonapi/article'
    end

  end
end
